Notifications

Mark a user notification as read

POST
/api/notifications/{notificationId}/read

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

notificationId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
id*string
Length1 <= length
projectId*|null
sourceEventId*string
Length1 <= length
kind*string
Value in"publication_published""publication_failed""publication_ambiguous"
severity*string
Value in"success""warning""error"
subject*
title*string
Length1 <= length
body*string
Length1 <= length
readAt*|null
archivedAt*|null
createdAt*integer
Range0 <= value
Example Request
curl -X POST 'https://postbot.example/api/notifications/string/read'
Example Response
{
  "id": "string",
  "projectId": "string",
  "sourceEventId": "string",
  "kind": "publication_published",
  "severity": "success",
  "subject": {
    "type": "string",
    "id": "string"
  },
  "title": "string",
  "body": "string",
  "readAt": 0,
  "archivedAt": 0,
  "createdAt": 0
}

Was this page helpful?